package com.lovecoding.day19.ex01;

import org.junit.Test;

import java.util.HashSet;
import java.util.Iterator;
import java.util.Random;
import java.util.Set;

public class Test01 {

    //随机产生10 个50 以内的随机数（不重复） ，存放到HashSet中，最后使用foreach循环遍历显示它们。保证最后Set中有10个元素。
    @Test
    public void test04() {
        //set
        Set<Integer> set = new HashSet<>();
        //循环
        while (set.size() < 10) {
            //随机数
            int i1 = new Random().nextInt(50);
            //判断是否是偶数
            if (i1 % 2 == 0) {
                set.add(i1);
            }
        }

        System.out.println(set);

    }


    //随机产生几个100以内的偶数，存放到HashSet中，并且使用Iterator迭代器遍历显示它们，保证最后Set中有10个元素。
    @Test
    public void test03(){
        //set
        Set<Integer> set = new HashSet<>();
        //循环
        while ( set.size() < 10 ){
            //随机数
            int i1 = new Random().nextInt(100);
            //判断是否是偶数
            if ( i1 % 2 == 0 ){
                set.add(i1);
            }
        }
        //迭代器
        Iterator<Integer> iterator = set.iterator();

        while (iterator.hasNext()){
            System.out.print(iterator.next()+", ");
        }
    }

    //随机产生10个100以内的偶数，存放到一个Set集合中，然后获取元素的个数，最后使用foreach循环遍历显示它们。
    @Test
    public void test02(){
        //set
        Set<Integer> set = new HashSet<>();
        //循环
        while ( set.size() < 10 ){
            //随机数
            int i1 = new Random().nextInt(100);
            //判断是否是偶数
            if ( i1 % 2 == 0 ){
                set.add(i1);
            }
        }
        //获取个数
        System.out.println("个数"+set.size());
        //循环遍历
        for (Integer integer : set) {
            System.out.print(integer+", ");
        }
    }


    @Test
    public void test01(){
        //set
        Set<Integer> set = new HashSet<>();
        //循环
        for (int i = 0; i < 10; i++) {
            //随机数
            int i1 = new Random().nextInt(100);
            //判断是否是偶数
            if ( i1 % 2 == 0 ){
                set.add(i1);
            }
        }
        //获取个数
        System.out.println(set.size());
        //循环遍历
        for (Integer integer : set) {
            System.out.println(integer);
        }
    }
}
